Subject: Re: interesting thought

From: Zheng Gengbin <[email-masked]>
Date: Tue, 15 Apr 1997 14:55:03 +0800 (EAT)

I found our current startegy encounters difficulty while creating 
data mapping for assumed size dummy .
	For example , 

FUNCTION fun(x)

real  x(:)

END

	If x is not inherit , I must create a default template whose size
is the same as dummy x .  Then you will find the size of template cannot
be determined until runtime , so trans0 cannot got determined value to
caculate . Do you have any idea about this ? Can we modified our data mapping
strategy so that it can accept variable as well as constants boundries .
	I remembered you said if an array is not explicit distributed ,
Adlib will perform a default data mapping . Can I assume this ?

Zheng